package scripts.migration.from4_4To4_5.templates;

import info.magnolia.migration.task.templates.TemplateScriptMigrationTask;

class MigrateTemplateExecuteScripts {

  /**
   * Run the TemplateScriptMigrationTask.
   *
   *   Do not forget to adapt arguments:
   *
   *  generateScripts : Set to 'true' will generate groovy scripts under
   *                    Tools/Scripts/MODULE_NAME
   *
   *  modulesMap: Map containing a list of
   *                key: module-name
   *                value: path to the local folder containing the templates (FTL's, JSP's)
   *
   *  siteDefinitions : Map containing a list of
   *                      key: Site definition path
   *                      value: path to the local folder containing the templates (FTL's, JSP's)
   *
   */
  static void run() {
    // Configuration part
    def generateScripts = true;
    // Change the parameters in order to point to your configuration
    //  define your module name , path to your templates
    def modulesMap = ["moduleName": "/path/to/the/templates/"]
    //  define your site definition path , path to your templates
    def siteDefinitions = [
      "/modules/moduleName/config/site": "/path/to/the/templates/",
      "/modules/moduleName/config/sites/default": "/path/to/the/templates/"
    ]
    //Execution part
    TemplateScriptMigrationTask migrationTask = null;
    modulesMap.each {
        migrationTask = new TemplateScriptMigrationTask(it.key, siteDefinitions,modulesMap,generateScripts);
        migrationTask.executeTask();
    }
  }
}

MigrateTemplateExecuteScripts.run()
